package de.fraunhofer.iem.dataprovider.kpi.strategy

import de.fraunhofer.iem.dataprovider.kpi.dto.KPIHierarchyEdgeDto

class AggregationKPICalculationStrategy : KPICalculationStrategy {
    override fun calculateKPI(children: List<KPIHierarchyEdgeDto>): Int {
        var aggregate = 0
        for (child in children) {
            if (child.to.value != null) {
                val childValue = child.to.value!!
                aggregate += (childValue.toFloat() * child.weight).toInt()
            }
        }
        return aggregate
    }
}
